<?php

namespace Mcnd\CLI;

use Psr\Http\Message\ServerRequestInterface;

class CliRequest
{
    public array $command = [];

    public array $options = [];

    protected string $shortOptions;

    protected array $longOptions;

    public function __construct(
        public ServerRequestInterface $request
    ) {
        $this->parseCommandLine();
    }

    public function matchOptions(string ... $options) : bool
    {
        foreach($options as $opt) {
            if ( $this->matchOption($opt) ) {
                return true;
            }
        }

        return false;
    }

    public function matchOption(string $option) : bool
    {
        return true;
    }

    protected function parseCommandLine() : void
    {
        $executionString = $this->argv();

        # Removing execution's path
        array_shift($executionString);

        foreach($executionString as $cmd) {
            $this->command[] = $cmd;
        }

        dump($executionString);

        $this->command = $executionString;
    }

    protected function argv() : array
    {
        return $this->request->getServerParams()['argv'];
    }
}