<?php

namespace Mcnd\CLI;

class CommandStack
{
    public array $commands = [];

    public function __construct()
    {}

    public function merge(CommandStack $stack) : void
    {
        $this->commands = array_merge($this->commands, $stack->commands);
    }

    public function append(Command $command) : void
    {
        $this->commands[] = $command;
    }

    public function matchCommand(array $commands, array $options) : null|Command
    {
        $cmd = implode(' ', $commands);

        foreach($this->commands as $command) {
            if ($command->name === $cmd) {
                return $command;
            }
        }

        return null;
    }
}